<template>
  <v-container fluid>
    <v-row
      justify="center"
      class="mt-12"
    >
      <v-col
        v-if="communityDisplay"
      >
        <m-card
          background-color="secondary"
          text-color="white--text text-h6 text-left font-weight-bold"
          :card-title="this.$t('community.title')"
          :card-text="this.$t('community.text')"
          :card-text-button="this.$t('community.button.label')"
          card-text-color-button="primary--text"
          card-color-button="white"
          :href-button="this.$t('community.button.route')"
          justify-text=""

          flat
        />
      </v-col>
      <v-col
        v-if="eventDisplay"
      >
        <m-card
          background-color="secondary"
          text-color="white--text text-h6 text-left font-weight-bold"
          :card-title="this.$t('event.title')"
          :card-text-button="this.$t('event.buttonShowEvent.label')"
          :card-text-button-two="this.$t('event.buttonCreateEvent.label')"
          :card-text="this.$t('event.text')"
          card-text-color-button="primary--text"
          card-text-color-button-two="primary--text"
          card-color-button="white"
          card-color-button-two="white"
          :href-button="this.$t('event.buttonShowEvent.route')"
          :href-button-two="this.$t('event.buttonCreateEvent.route')"
          flat
          class="mx-2"

          :user-id="userId"
        />
      </v-col>
      <v-col>
        <m-card
          background-color="secondary"
          text-color="white--text text-h6 text-left font-weight-bold"
          :card-title="this.$t('news.title')"
          :card-text="this.$t('news.text')"
          :card-text-button="this.$t('news.button.label')"
          card-text-color-button="primary--text"
          card-color-button="white"
          :href-button="this.$t('news.button.route')"
          flat
          :user-id="userId"
        />
      </v-col>
    </v-row>
    <v-row
      class="py-5 white"
    >
      <v-col
        cols="12"
        class="white"
      >
        <v-row
          justify="center"
        >
          <v-col
            class="d-flex child-flex"
            cols="1"
            align-self="center"
          >
            <a
              :href="$t('Mobicoop.link')"
            >
              <v-img
                :src="$t('Mobicoop.src')"
                :alt="$t('Mobicoop.alt')"
                :width="$t('Mobicoop.width')"
                :height="$t('Mobicoop.height')"
                contain
              />
            </a>
          </v-col>
          <v-col
            class="d-flex child-flex"
            cols="1"
            align-self="center"
          >
            <a
              :href="$t('Novasep.link')"
            >
              <v-img
                :src="$t('Novasep.src')"
                :alt="$t('Novasep.alt')"
                :width="$t('Novasep.width')"
                :height="$t('Novasep.height')"
                contain
              />
            </a>
          </v-col>
          <v-col
            class="d-flex child-flex"
            cols="1"
            align-self="center"
          >
            <a
              :href="$t('LeroyMerlin.link')"
            >
              <v-img
                :src="$t('LeroyMerlin.src')"
                :alt="$t('LeroyMerlin.alt')"
                :width="$t('LeroyMerlin.width')"
                :height="$t('LeroyMerlin.height')"
                contain
              />
            </a>
          </v-col>
          <v-col
            class="d-flex child-flex"
            cols="1"
            align-self="center"
          >
            <a
              :href="$t('Pompey.link')"
            >
              <v-img
                :src="$t('Pompey.src')"
                :alt="$t('Pompey.alt')"
                :width="$t('Pompey.width')"
                :height="$t('Pompey.height')"
                contain
              />
            </a>
          </v-col>
          <v-col
            class="d-flex child-flex"
            cols="1"
            align-self="center"
          >
            <a
              :href="$t('Vle.link')"
            >
              <v-img
                :src="$t('Vle.src')"
                :alt="$t('Vle.alt')"
                :width="$t('Vle.width')"
                :height="$t('Vle.height')"
                contain
              />
            </a>
          </v-col>
          <v-col
            class="d-flex child-flex"
            cols="1"
            align-self="center"
          >
            <a
              :href="$t('GE.link')"
            >
              <v-img
                :src="$t('GE.src')"
                :alt="$t('GE.alt')"
                :width="$t('GE.width')"
                :height="$t('GE.height')"
                contain
              />
            </a>
          </v-col>
          <v-col
            class="d-flex child-flex"
            cols="3"
            align-self="center"
          >
            <a
              :href="$t('Climaxion.link')"
            >
              <v-img
                :src="$t('Climaxion.src')"
                :alt="$t('Climaxion.alt')"
                :width="$t('Climaxion.width')"
                :height="$t('Climaxion.height')"
                contain
              />
            </a>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import {merge} from "lodash";
import MCard from '@clientComponents/utilities/MCard'
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard
  },
  props: {
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    urlMobile: {
      type: String,
      default: null
    },
    userId: {
      type: Number,
      default: null
    }
  },
  data () {
    return {
      mobileUrl: this.urlMobile
    }
  },
}
</script>